(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
  typeof define === 'function' && define.amd ? define(['exports'], factory) :
  (factory((global.vueWindows = {})));
}(this, (function (exports) { 'use strict';

  /*!
   * nano-assign v1.0.1
   * (c) 2018-present egoist <0x142857@gmail.com>
   * Released under the MIT License.
   */

  var index = function(obj) {
    var arguments$1 = arguments;

    for (var i = 1; i < arguments.length; i++) {
      // eslint-disable-next-line guard-for-in, prefer-rest-params
      for (var p in arguments[i]) { obj[p] = arguments$1[i][p]; }
    }
    return obj
  };

  var nanoAssign_common = index;

  var styles = {"window":"style-module_window__283Ok","body":"style-module_body__14MV-","shadow":"style-module_shadow__3RfWD","dark":"style-module_dark__fHT4T","safe":"style-module_safe__202Ig"};

  var style = {"header":"style-module_header__2fZK7","title":"style-module_title__3cIVr","bullets":"style-module_bullets__79QN2","bullet":"style-module_bullet__Ce0rQ","bullet-red":"style-module_bullet-red__3UfbN","bullet-yellow":"style-module_bullet-yellow__2GzZ-","bullet-green":"style-module_bullet-green__1JY6W","isUrl":"style-module_isUrl__2Iqlr","dark":"style-module_dark__2yIKV"};

  var Header = {
    functional: true,
    props: {
      title: {
        type: String,
        required: true
      },
      isURL: {
        type: Boolean,
        default: false
      },
      theme: {
        type: String
      }
    },
    render: function render(h, _ref) {
      var _ref$props = _ref.props,
          title = _ref$props.title,
          isURL = _ref$props.isURL,
          theme = _ref$props.theme;
      return h("div", {
        "class": [style.header, isURL && style.isUrl, style[theme]]
      }, [h("div", {
        "class": style.bullets
      }, [h("span", {
        "class": [style.bullet, style['bullet-red']]
      }), h("span", {
        "class": [style.bullet, style['bullet-yellow']]
      }), h("span", {
        "class": [style.bullet, style['bullet-green']]
      })]), h("span", {
        "class": style.title,
        domProps: {
          "innerHTML": title
        }
      })]);
    }
  };

  var EditorWindow = {
    name: 'editor-window',
    props: {
      title: {
        required: true,
        type: String
      },
      browser: Boolean,
      height: [Number, String],
      width: [Number, String],
      theme: {
        type: String,
        validator: function validator(v) {
          return ['default', 'dark'].indexOf(v) > -1;
        }
      },
      shadow: {
        type: Boolean,
        default: false
      }
    },
    render: function render(h) {
      var _this$$props = this.$props,
          browser = _this$$props.browser,
          title = _this$$props.title,
          height = _this$$props.height,
          width = _this$$props.width,
          theme = _this$$props.theme,
          shadow = _this$$props.shadow;
      var className = [styles.window, theme && styles[theme], shadow && styles.shadow];
      var style = {
        height: Boolean(height) && (typeof height === 'number' ? "".concat(height, "px") : height),
        width: Boolean(width) && (typeof width === 'number' ? "".concat(width, "px") : width)
      };
      return h('div', {
        class: className,
        style: style
      }, [h(Header, {
        props: {
          title: title,
          isURL: browser,
          theme: theme
        }
      }), h('div', {
        class: styles.body
      }, this.$slots.default)]);
    }
  };
  var BrowserWindow = {
    name: 'browser-window',
    props: EditorWindow.props,
    render: function render(h) {
      var props = nanoAssign_common({
        browser: true
      }, this.$props);

      if (props.title.substr(0, 8) === 'https://') {
        props.title = "<span class=\"".concat([styles.safe, props.theme && styles[props.theme]].join(' '), "\">https</span>").concat(props.title.substr(5));
      }

      return h(EditorWindow, {
        props: props
      }, this.$slots.default);
    }
  };

  exports.EditorWindow = EditorWindow;
  exports.BrowserWindow = BrowserWindow;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
